//
// Mare.h
// A mare on the moon.
//
//    Copyright 2002 by Akkana Peck.
// You may use or distribute this code under the terms of the GPL.
//

#ifndef MARE_H
#define MARE_H

#include "MoonFeature.h"

class Mare : public MoonFeature
{
public:
    Mare();
    Mare(char* name, char* description, int sizeX, int sizeY,
         int longitude, int latitude);
    virtual ~Mare();

    void Init(char* name, char* description, int sizeX, int sizeY,
              int longitude, int latitude);

    virtual int GetSizeX();
    virtual int GetSizeY();

    // Read in the list of craters:
    static void InitMaria();

protected:
    int mSizeX, mSizeY;
};

#endif // MARE_H
