//
// MoonMainWin
//
//    Copyright 2002 by Akkana Peck.
// You may use or distribute this code under the terms of the GPL.
//

#include <qmainwindow.h>

class QMoonCanvas;

class MoonMainWin: public QMainWindow
{
    Q_OBJECT

public:
    MoonMainWin( QWidget *parent=0, const char *name=0 );
    ~MoonMainWin();

protected:
    void setupToolbar();
    int mZoomLevel;

    // Override QWidget:
    virtual void paintEvent(QPaintEvent* event);


protected:
    QMoonCanvas* mCanvas;

protected slots:
    void quit();
    void aboutDialog();
    void mirror();
    void zoom();
};

